varying mediump vec2 texCoords;

#if defined(VERTEX_SHADER)


attribute vec3 vertPos;
attribute vec3 vertColor;

attribute vec2 texCoords0;

uniform mat4 viewMat;
uniform mat4 projMat;
uniform mat4 worldMat;
void main()
{
    texCoords = texCoords0;
	gl_Position = vec4(vertPos, 1.0);
    
}

#endif
#if defined(FRAGMENT_SHADER)

uniform sampler2D tex0;
uniform sampler2D tex1;
uniform sampler2D tex2;

uniform lowp vec4 meshColor;
uniform mediump float hdrExposure;
uniform lowp float hdrEnableTonemap;

void main()
{
	lowp vec4 color = texture2D(tex0, texCoords);
	lowp vec4 blur = texture2D(tex1, texCoords);
    
    //if (hdrEnableTonemap > 0.0)
    //{
    //	mediump vec4 col = 1.0 - exp2(-hdrExposure * color);
    //    gl_FragColor = col + blur;
    //}
    //else
    //{
        gl_FragColor = color + blur*hdrExposure;
    //}
}

#endif