// core_fog.shader

#if defined(VERTEX_SHADER)

uniform highp float fogDistance; // = -1.0 / RenderTarget::_fogDistance

mediump vec2 getFogTexCoord(vec4 posVS)
{
    return vec2(posVS.z*fogDistance, 0.5); 
}

mediump vec2 getFogLayerTexCoord(vec4 posVS, vec4 posSS)
{
    return vec2(posVS.z*fogDistance, 0.5-(posSS.y/posSS.w)*0.5); 
}

#endif
