// model_untex_unlit.shader

#include "shaders/core_base.shader"


varying lowp vec4 diffuseColor;


#if defined(VERTEX_SHADER)

attribute vec4 vertPos;
attribute vec3 vertColor;

void main()
{
    vec4 posWS = getPosWSLS(vertPos);
    vec4 posVS = getPosVSWS(posWS);
    gl_Position = getPosSSVS(posVS);

    diffuseColor = getVertexColor(vertColor) * meshColor;
}

#endif


#if defined(FRAGMENT_SHADER)

void main()
{
    gl_FragColor = diffuseColor;
}

#endif
