// untextured.shader

#include "shaders/core_base.shader"


varying lowp vec4 diffuseColor;


#if defined(VERTEX_SHADER)

attribute vec4 vertPos;
attribute vec3 vertColor;

void main()
{
    gl_Position = getPosSSLS(vertPos);

    diffuseColor = getVertexColor(vertColor) * meshColor;
}

#endif


#if defined(FRAGMENT_SHADER)

void main()
{
    gl_FragColor = diffuseColor;
}

#endif
